#ifndef	_FTP_STRUCT_H_
#define	_FTP_STRUCT_H_

#include	<stdbool.h>
#include	"ftp-define.h"

/* 입력한 문자열 관련 구조체 _2006.12.15_shahn */
typedef	struct	_FuncArg
{
	int	nArg;
	char*	chpPassData;	/* 함수로 전달하기 위한 data buf */
	char*	chpRetData;		/* 함수내에서 생성한 data를 전달받기 위한 buf */
}FuncArg;

/* 소켓 */
struct	sockaddr_in	serv_addr;

/* 데이터포트 */
typedef	struct	_dataport
{
	unsigned	int	client_sock;
	unsigned	short	nport;
	char	chaHostip[IP_LEN];
	char	chaCmdip[IP_LEN];
	char	chaCmdport[PORT_LEN];
	char	chMode;
}DATAPORT;

/* connect */
typedef	struct	_ftpcon
{
	int	ssock;
	bool	IsConnected;
	bool	IsLogin;
}FTPCON;

static	FTPCON	g_stCon;

#endif
