/*
 * ftpclient-func.h
 * Written by rfc959
 */

#ifndef _FTPCLIENT_FUNC_H_
#define _FTPCLIENT_FUNC_H_

/*ftpclient-login.c*/
void error_handling(char *message);
void FtpLogin();
/*ftpclient-begin.c*/
void PutCmd_Begin();
void SendCommand(char* chpFtpCmd , char* chpArgv);
int SetCmdFunc();

/*ftpclient-recv.c*/
int socket_recv();
int GetRvCode(char *GetFsLine , char *GetMsg);
char* ReceiveCode(char *chpReceiveData , char *chpReturnData);
char* RecvReply(char* chpRecvCode);
void recv_data();
void	recv_list(char* pBuf);
int  recv_file(int nFile, char* chpFile);
void  send_file(char* chpFile);
void Fin_Msg();

/*ftpclient-filecmd.c*/


/* ftpclient-cmdfunc.c */
int cmd_cd(FuncArg* pArg);      //1
int cmd_cdup(FuncArg* pArg);    //2
int cmd_ls(FuncArg* pArg);      //3
int cmd_dir(FuncArg* pArg);     //4
int cmd_pwd(FuncArg* pArg);     //5
int cmd_help(FuncArg* pArg);
int cmd_binary(FuncArg* pArg);
int cmd_ascii(FuncArg* pArg);
int cmd_get(FuncArg* pArg);
int cmd_put(FuncArg* pArg);              
int cmd_delete(FuncArg* pArg);
int cmd_mget(FuncArg* pArg);
int cmd_mput(FuncArg* pArg);
int cmd_mdelete(FuncArg* pArg);
int cmd_rename(FuncArg* pArg);
int cmd_mkdir(FuncArg* pArg);
int cmd_rmdir(FuncArg* pArg);
int cmd_status(FuncArg* pArg);
int cmd_size(FuncArg* pArg);
int cmd_bye(FuncArg* pArg);     //20
int cmd_exit(FuncArg* pArg);
int cmd_quit(FuncArg* pArg);
int cmd_close(FuncArg* pArg);
int cmd_nlist(FuncArg* pArg);
int cmd_open(FuncArg* pArg);	//25
int cmd_lcd(FuncArg* pArg);
int cmd_err(FuncArg* pArg);
int FreeArg(FuncArg* pArg);	
char* Local_nList(FuncArg* pArg);
int cmd_hash(FuncArg* pArg);    //30
int cmd_prompt(FuncArg* pArg);	
int cmd_user(FuncArg* pArg);

/*ftpclient-MakeDataPort.c*/
void Open_Dataport(char* chpHostname, int Hostport);
size_t	Get_FileSize(char* chpRecvMsg , int nSize);
int Temp_receive(char* chpRecvMsg);
void Disconnect();
void CheckLogin(int nValue);
void MakeSocket(char* chpHostName, int nPort);
char* myip(char* Ip);
void	Replace(char* chpIp, char chSrc, char chDest);
void	Get_hostport(char* chpIp);
void	Open_ActiveDataport();
void	exec_port();

//char* GetPassData(char* chpGetdata , char chaPassBuff[BUFSIZE]); //응답부호 숫자값 추출하기
//char* GetCmdData(char* chpGetdata, char chaCmd[BUFSIZE]);




//int test(char *GetMsg);


int cmdlist(char* chpGetCmd);
int SetCmdFunc();
#endif
